<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div class="row">
  <div class="col-12 d-flex align-items-center">
    <div class="title-warpper" style="width:100%">
      <div >
        <span class="col-1">
          <img style="cursor: pointer;" src="assets/img/chevron-left.svg"class="back-btn"  (click)="back()" >
        </span>
        <span style="cursor: pointer;"  (click)="back()"  class="col-11 head-title">ดูรายละเอียดการกำหนดสิทธิ์การใช้งานในระบบ</span>
      </div>
      <span class="sub-title">สามารถเห็นรายการผู้ที่ถูกกำหนดสิทธิ์การใช้งานในระบบได้ดังตาราง</span>
    </div>

    <div class="button-right" >
      
  <button type="button" class="btn btn-cancle" (click)="editDetail()" [disabled]="this.editdetailmode !== true">
    ยกเลิกการแก้ไข
  </button>
  <button type="button" class="btn btn-save" data-toggle="modal" data-target="#confirmModal"
    [disabled]="this.editdetailmode !== true">
    บันทึก
  </button>

    </div>

  </div>

</div>

<br>

<div class="row">
    <div style="width: 83%;">
      <span class="title">สิทธิ์การเข้าถึงระบบของ <a *ngIf="roleName !== 'Retail'">
        {{roleName}}
      </a>
      <a *ngIf="roleName === 'Retail'">
        Retail Shared Services 
      </a></span>
    </div>
    <div style="width: 17%;">
      <button class="btn btn-primary btn-edit" (click)="editDetail()"
        [disabled]="this.editdetailmode === true">แก้ไขรายละเอียดสิทธิ์การใช้งาน</button>
    </div>
    <div class="col-12">
      <hr>
    </div>
    <div class="col-12">
      <br>
      <div class="table-responsives">
        <table style="width: 100%; overflow-x: auto;">
          <tr>
            <th style="min-width: 80px; width: 80px; max-width: 80px; text-align: center;" rowspan="2">ลำดับที่</th>
            <th style="min-width: 300px;" rowspan="2">หน้าจอ</th>
            <th [attr.colspan]="permission.length" 
            style="text-align: center;border-bottom: 1px solid #E0E0E0;"
            ><a *ngIf="roleName !== 'Retail'">
              {{roleName}}
            </a>
            <a *ngIf="roleName === 'Retail'">
              Retail Shared Services 
            </a></th>
          </tr>
          <tr>
            <th  colspan="1" style="min-width: 100px; width: 100px; max-width: 100px; text-align: center;"
              *ngFor="let permission of permission">{{permission}}</th>
          </tr>
          <tr>
            <td [attr.colspan]="permission.length + 2">
              <div *ngFor=" let listitem of dataDetail; let i = index">
                <div class="titlecolumn">ส่วนที่ {{i+1}} {{listitem.displayHead}}</div>
                <table *ngFor=" let listdetail of listitem.level; let k = index " style="width: 100%;">
                  <tr>
                    <td style="min-width: 80px; width: 80px; max-width: 80px; text-align: center;" >{{k+1}}.</td>
                    <td style="min-width: 300px;">{{listdetail.displayName}}</td>
                    <td style="min-width: 100px; width: 100px; max-width: 100px; text-align: center;padding:2px"
                      *ngFor=" let perItem of permission; let j = index ">
                      <div *ngIf="editdetailmode === false">
                        <span class="status-icon _approve" *ngIf="listdetail.permission[j] === 'Approve'">
                          {{ listdetail.permission[j] }}</span>
                        <span class="status-icon _edit" *ngIf="listdetail.permission[j] === 'Edit'">
                          {{ listdetail.permission[j] }}</span>
                        <span class="status-icon _view" *ngIf="listdetail.permission[j] === 'View'">
                          {{ listdetail.permission[j] }}</span>
                        <span *ngIf="listdetail.permission[j] === '-'">
                          {{ listdetail.permission[j] }}</span>
                      </div>
                      <!-- {{listdetail.permission[j] | json}} -->
                      <div *ngIf="editdetailmode === true;">
                        <select class="form-control" [(ngModel)]="listdetail.permission[j]"
                        
                        (ngModelChange)="selectChange(perItem, listdetail , i , k , j); ">
                     <option value=null selected disabled>กรุณาเลือกสถานะ</option>
                     <option *ngFor="let item of permissionList" value="{{item.value}}">{{item.title}}</option>
                   </select>
                       </div>
                    </td>
                  </tr>
                </table>
              </div>
            </td>
            
          </tr>
          <!-- ------------------------------------------- -->         
        </table>
      </div>
      <br><br><br>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="confirmModal" tabindex="-1" role="dialog" aria-labelledby="confirmModal" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" *ngIf="confirmState === 'confirm'">
      <div class="modal-header justify-content-center">
        <h5 class="modal-title text-center" id="confirmModalLable">
          <img src="./assets/img/checkmark-s.png" alt=""> ยืนยันการแก้ไข
        </h5>
      </div>
      <div class="modal-body text-center">
        <label class="save-modal text-center">คุณแน่ใจหรือไม่?<br>
          ว่าต้องการแก้ไขรายละเอียดสิทธิ์การใช้งาน
        </label>
      </div>
      <div class="modal-footer">
        <button mat-flat-button type="button" class="btn btn-back-edit" data-dismiss="modal">
          กลับไปแก้ไข
        </button>
        <button mat-flat-button type="button" class="btn btn-confirm" (click)="onSave()" data-dismiss="modal">
          ยืนยันการแก้ไข
        </button>

      </div>
    </div>
    <!-- <div class="modal-content" *ngIf="confirmState === 'success'">
      <img src="/assets/img/checkmark_green.png" class="checkmark-success" alt="">
      <div class="massage-success">คุณได้บันทึกข้อมูลแล้วเรียบร้อย</div>
    </div> -->
  </div>
</div>